com.hazelcast.config

## Enum UserCodeDeploymentConfig.ClassCacheMode

- java.lang.Object
- - java.lang.Enum<UserCodeDeploymentConfig.ClassCacheMode>
  - - com.hazelcast.config.UserCodeDeploymentConfig.ClassCacheMode

- All Implemented Interfaces:
    Serializable, Comparable<UserCodeDeploymentConfig.ClassCacheMode>
  Enclosing class:
    UserCodeDeploymentConfig

      public static enum UserCodeDeploymentConfig.ClassCacheMode
      extends Enum<UserCodeDeploymentConfig.ClassCacheMode>

  Controls caching of caches loaded from remote members

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ETERNAL` Cache indefinitely.
    `OFF` Never caches loaded classes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserCodeDeploymentConfig.ClassCacheMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserCodeDeploymentConfig.ClassCacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final UserCodeDeploymentConfig.ClassCacheMode OFF

      Never caches loaded classes. This is suitable for loading runnables, callables, entry processors, etc.

    - #### ETERNAL

          public static final UserCodeDeploymentConfig.ClassCacheMode ETERNAL

      Cache indefinitely. This is suitable when you load long-living objects, such as domain objects stored in a map.

  - ### Method Detail

    - #### values

          public static UserCodeDeploymentConfig.ClassCacheMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserCodeDeploymentConfig.ClassCacheMode c : UserCodeDeploymentConfig.ClassCacheMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserCodeDeploymentConfig.ClassCacheMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.